Subject: [PATCH 0/3] ab/i18n: README and GETTEXT_POISON support

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 3 Sep 2010 23:24:53 +0000

On Fri, Sep 3, 2010 at 18:22, Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> This is a pull request for an updated ab/i18n and the builtin.h
> changes. I can also send this to list on request, but it's 25 patches
> for what are trivial merge changes and a doc patch.
>
> I've rebased the ab/i18n series on top of master. Now it looks like
> this:
>
>    master
>    \
>     use-builtin-h-for-builtin-commands-v2
>     \
>      ab/i18n
>
> The changes are:
>
> [....]
>
>  1c7584b gettext: Add po/README file documenting Git's gettext
>
> This is new, a README file describing how to deal with the po/
> directory. See http://github.com/avar/git/raw/ab/i18n/po/README

Here's the README patch at the tip of the new ab/i18n (for reference,
because it wasn't on-list before), and the GETTEXT_POISON support I
promised to implement.

The poison support allows us to me much more sure that this gettext
stuff is actually working as intended. For one it turned up a bug in
the gettextization in builtin/fetch.c (I'll elaborate in a
soon-to-follow series).

Ævar Arnfjörð Bjarmason (3):
  gettext: Add po/README file documenting Git's gettext
  gettext: Add GETTEXT_POISON=YesPlease Makefile parameter
  gettext: add NO_GETTEXT_POISON prerequisite to tests

 Makefile                      |    9 ++++
 gettext.h                     |    4 ++
 po/README                     |   68 ++++++++++++++++++++++++++++
 t/lib-gettext.sh              |   10 +++-
 t/lib-httpd.sh                |    2 +-
 t/t0001-init.sh               |    2 +-
 t/t1200-tutorial.sh           |    4 +-
 t/t2200-add-update.sh         |    2 +-
 t/t2204-add-ignored.sh        |    8 ++--
 t/t3030-merge-recursive.sh    |    2 +-
 t/t3200-branch.sh             |    2 +-
 t/t3203-branch-output.sh      |    2 +-
 t/t3700-add.sh                |    4 +-
 t/t4001-diff-rename.sh        |    4 +-
 t/t4014-format-patch.sh       |    2 +-
 t/t5541-http-push.sh          |    2 +-
 t/t5601-clone.sh              |    2 +-
 t/t6040-tracking-info.sh      |    2 +-
 t/t6200-fmt-merge-msg.sh      |   28 ++++++------
 t/t7004-tag.sh                |    6 ++-
 t/t7060-wtstatus.sh           |    2 +-
 t/t7102-reset.sh              |    2 +-
 t/t7110-reset-merge.sh        |    6 +-
 t/t7201-co.sh                 |   10 ++--
 t/t7500-commit.sh             |    9 +++-
 t/t7501-commit.sh             |   16 +++++--
 t/t7502-commit.sh             |   46 ++++++++++----------
 t/t7506-status-submodule.sh   |   28 ++++++------
 t/t7508-status.sh             |   98 ++++++++++++++++++++--------------------
 t/t7600-merge.sh              |    2 +-
 t/t7602-merge-octopus-many.sh |    6 +-
 t/t7811-grep-open.sh          |    2 +-
 t/test-lib.sh                 |    1 +
 33 files changed, 247 insertions(+), 146 deletions(-)
 create mode 100644 po/README

-- 
1.7.2.2.336.g704fc